Introduction

 Top Next

PhonePad includes a number of server-side services that provide various functionality for the system. Installing and uninstalling services as well as starting and stopping them can be a bit technical and laborious.

Fortunately ControlCenter makes it easy to manage your PhonePad services simply by clicking some buttons.

These are the services currently managed by ControCenter:

Service | Description
Caller ID Service | This service is required if you use Caller ID devices from callerid.com. It is not installed by default.
MessageSender | MessageSender automatically forwards messages to email, SMS and Pushover. It is a separate purchase to PhonePad and so is not installed automatically.
PhonePad 5 Server | The database server that provides connections to the PhonePad database. Without this PhonePad won't work. This service is installed automatically.
Service Monitor | Monitors and restarts services if some interferes with them and causes them to stop functioning. This service is not installed automatically.

With the exception of MessageSender, all of these services are included with PhonePad. Some features depend on these services but if you don't use these particular features then you don't need those services installed.


Overview

 Top Previous Next

The Home or Overview screen shows the current status of all services along with their version numbers.

Each service will have a colored icon indicating its status:

greenstatus | The service is running.
redstatus | The service is installed but not running.
greystatus | The service is not installed.

The IP Address of the Server or Host PC is displayed at the bottom part of the application window.

Control Center provides the ability to individually control each service, but you can all control all services at once by using the Start All Services and Stop All Services buttons.

You can also start and stop individual services using the Windows services.msc snap-in control service, however, you will find that Control Center provides a more convenient and easier to use way to do this.

To manage a service, select it from the list on the left or click on it's name under Service Status Overview.


Options

PhonePad creates log files that can be used to make sure the system is functioning correctly and to check for any problems that may be occurring. Most of the PhonePad applications and services have their own log files and a new log file is created each day.

After a while you can end up with a lot of log files. Although each log file on its own tends to be relatively small, over a period of time they can consume some of your disk space. To combat this, and to avoid you having to delete older log files manually, PhonePad includes a console program called LogManager. This runs automatically each day on both the Server or Host PC and all workstations.

This screen enables you to configure the oldest log files to retain. The range is from 5 days to 90 days. The default is 30 days.

PhonePad also creates snapshots when you install a server update so that you can quickly revert back to the previous version in the event there is an issue with the new version. Snapshots are like a backup but they also include the PhonePad Server application files as well as your database.

Snapshots can get quite large and having a few of them on your Server or Host PC can consume a lot of disk space. Just like the log files, you can specify how long you want to retain the snapshots. Bear in mind that, unless you manually create snapshots, they are only created when you install a server update.


Caller ID Service

The Caller ID Service is specificially for use with CallerID.com devices, available from www.callerid.com. This service is not installed by default so you will need to install it if required.

Select Caller ID Service to manage the Caller ID service.

Install | Installs the Caller ID service.
Start | Starts the Caller ID service.
Stop | Stops the Caller ID service.
Uninstall | Uninstalls the Caller ID service.
Logs | Opens the Log Viewer and displays the Caller ID logs.

LightBulb

If you get an Access Denied error when trying to install or start the service, close the Control Center. Find the ControlCenter application in the folder you installed the server in, right-click on it, and then select Run as Administrator.


MessageSender

The MessageSender service is an integral part of the Automatic Message Forwarding feature. Without it, this feature will not work. MessageSender is not installed by default as it is a separate product that you will need to purchase a license for if you don't have one.

Select MessageSender to manage the MessageSender service.

Download | If you haven't downloaded MessageSender then you can download the latest version here. If you don't have a license for MessageSender it will run in Trial mode.
Install | Installs the MessageSender service.
Start | Starts the MessageSender service.
Stop | Stops the MessageSender service.
Uninstall | Uninstalls the MessageSender service.
Logs | Opens the Log Viewer and displays the MessageSender logs.
Queue | Allows you to view and manage the MessageSender message queue.
License | Purchase and license MessageSender.
Kill | Sometimes when a Windows service is stopped it can go into a state of limbo. It's neither stopped nor started. When it's in this state it won't respond to any commands. If this happens with the MessageSender service, click the Kill button to terminate it. The service then try to restart itself, but if it doesn't click on the Start button.

LightBulb

If you get an Access Denied error when trying to install or start the service, close the Control Center. Find the ControlCenter application in the folder you installed the server in, right-click on it, and then select Run as Administrator.


Message Queue

You can view and manage the MessageSender queue.

1.Under MessageSender in Control Center, click the Queue button.

2.The Message Queue will display all messages waiting to be processed by the MessageSender service.

3.The Manage Queue button features a drop-down menu that allows you to manage the messages in the queue.

4.The Refresh button will update the message queue by reloading it.

Clear Queue | Clears all messages from the queue. Any messages cleared will not be sent.
Remove Selected Message | Deletes the selected message.
Remove Emails | Clears all email messages from the queue.
Remove SMS | Clears all SMS messages from the queue.
Remove Pushover | Clears all Pushover messages from the queue.


MessageSender Settings

There are a few settings you need to set to get things rolling. You will need to login to PhonePad Admin and click MessageSender Settings on the System Admin toolbar.

1.Under MessageSender in Control Center, click the Settings button.

2.Select Active to make the MessageSender service active.

3.Select the type of processing you want the service to perform, ie. Process Emails, Process SMS and/or Process Pushover.

4.The final step is to set up your Communication Settings in PhonePad.

Message Processing |
Active | When set to ON, the MessageSender service will process messages in the message queue.
Process Emails | When checked, the MessageSender service will process messages that are queued to be sent via email.
Process SMS | When checked, the MessageSender service will process messages that are queued to be sent via SMS.
Process Pushover | When checked, the MessageSender service will process messages that are queued to be sent via Pushover.
Process Every x Minutes | Determines how frequently the MessageSender service should check for messages to process. The default is every 5 minutes.

Activity Log |
Detailed Activity Log | When checked, the activity log will display connection information, authentication responses, etc.
Only keep the last x log files | When checked, MessageSender will automatically delete older activity log files. You can specify the number of activity logs to retain.
Log SMS Requests | When checked, provides more detailed information about SMS message sending.

Email Subject |
Use Message Subject | When checked, the activity log will display connection information, authentication responses, etc.
Use Custom Subject | When checked, MessageSender will automatically delete older activity log files. You can specify the number of activity logs to retain.
Use Field for Subject | When checked, provides more detailed information about SMS message sending.

Email Replies |
Users Can Reply to Messages Forwarded by Email | When checked, users receiving the forwarded emails can reply. The replies will be sent back to PhonePad and appear in the sender's Inbox.

Email Receipts |
Allow Read Receipts | When checked, the sender of the forwarded emails will receive Read Receipts when the receivers of the emails read them. Of course, the Read Receipt checkbox must be checked on the PhonePad message when sent.


MessageSender License

Under MessageSender in Control Center, click the License button.

Trial Period

If you are within the trial period then details of your trial will be displayed when you click the License button.

Click the Purchase button to buy MessagesSender.

Click the License button to license your copy of MessageSender

Licensed

If MessageSender is licensed then your license details will be displayed when you click the License button.


Purchase MessageSender

To purchase MessageSender, click the Purchase button. A page in your default browser will be opened to the online purchasing system.


License MessageSender

When you purchase MessageSender you will receive your license details by email. You can license MessageSender by clicking the License button.

Enter your license details into the fields as show above, then click the Activate License button.

MessageSender will connect to the license server over the Internet and download your license and install it. A message should be displayed once this has been completed.

Once you click OK you will be returned to the MessageSender view in Control Center.

You can then check your license by clicking the License button again.

This time details of your license should be displayed.


PhonePad 5 Server

PhonePad 5 will not function without the PhonePad 5 Server service running. It is normally installed by default so you should not need to install it.

Select PhonePad Server to manage the PhonePad Server service.

Install | Installs the Server service.
Start | Starts the Server service.
Stop | Stops the Server service.
Uninstall | Uninstalls the Server service.
Settings | Opens the Server Settings window.
Logs | Opens the Log Viewer and displays the Server logs.
Sessions | Displays all current user sessions connected to the Server.
Processes | Opens the Process Monitor application. Use this to make sure the Server is listening on all required ports.
Permissions | This can be used to set the correct permissions for the PhonePad Server folders to avoid access rights errors.
Kill | Sometimes when a Windows service is stopped it can go into a state of limbo. It's neither stopped nor started. When it's in this state it won't respond to any commands. If this happens with the PhonePad Server service, click the Kill button to terminate it. The service then try to restart itself, but if it doesn't click on the Start button.
File I/O Buffering is ACTIVE |

LightBulb

If you get an Access Denied error when trying to install or start the service, close the Control Center. Find the ControlCenter application in the folder you installed the server in, right-click on it, and then select Run as Administrator.


Processes

ProcessMonitor displays all PhonePad 5 services currently running on the Server or Host PC.

Process | Name of the service.
ID | Process ID as assigned by Windows.
Local Address | This is either the local IP Address or the host system's name.
Local Port | The port the service is using.
Protocol | The protocol used by the server which will be either TCP or UDP.
Status | This will be Listen if the service is using the TCP protocol and is accepting data. It will be blank for UDP services.


Sessions

The Server Sessions windows displays all user connections to the PhonePad 5 Server. Any users that appears on this list is currently logged in to PhonePad.

Session ID | An internal ID assigned by the PhonePad 5 Server.
User | The name of the user who is logged in.
IP Address | IP Address of the user's workstation.
Process | This is the user's computer name and the Process ID assigned by Windows.
Last Connected | This is the date and time the user logged in.


Settings

These settings are for the PhonePad 5 Server and normally should not need to be changed.


Server Settings

The default settings shown here should always be used unless you have a specific reason for not doing so.

Detected IP Address | ControlCenter will attempt to detect the active IP Address of the host machine and display it in this field.
Override IP Address | This should be left blank unless your Server or Host PC has multiple IP Addresses and you need to specify which IP Address to use. It's possible that the Detected IP Address is not the active address.
Delete Override | Removes any IP Address from the Server IP Address field. You can also clear the field out yourself. Remember to click OK to save this change.
Server Port | The main data connection port for PhonePad. Do not change this unless there is a conflict with another process using the same port.
Server Folder | Shows the location of the PhonePad 5 Data Folder. This setting cannot be edited.
Server Access Key | Provides an alternative way for PhonePad to connect to the Server. Click the Lock button to generate a unique Access Key. Click Register Key to register it with our Servers. The Access Key is used in the Workstation Config program.
Activity Logs | When checked, the service logs it processes and any errors it may encounter. It's recommended you have this checked.
File I/O Buffering | Click this button to access File I/O Buffering, which can give PhonePad a performance boost.


Performance Boost

Performance Boost (File I/O Buffering)

 Top Previous Next

This feature increases performance by buffering some database objects in memory. Normally when an object such as a table is read from or written to, it is done directly from/to the Server or Host PC's hard-drive. By holding the table in a memory buffer this can significantly improve performance. By default, any changes to the table in memory will be written to the hard-drive on these events:

·Every couple of minutes

·When the memory buffer is full

·When a database backup is about to be performed.

·When the PhonePad Server is shut down.

Enabling Performance Boost can improve performance significantly.

LightBulb

Buffer settings may be changed over time via system updates to get the best performance for your system.

warningsymbol32x32

Do not change any of the Performance Boost settings unless advised to by a Cybercom Support technician. Incorrect settings could result in adverse system performance and even data loss.

warningsymbol32x32

Although a remote possibility, there is a potential for data loss when Performance Boost is enabled. This can happen if the Server or Host PC crashes, is suddenly powered down, or loses power. In those events the PhonePad Server will most likely not have had time to write any changes to disk.


Support Use Only

As the tab says, settings on this screen should only be changed by Cybercom Software Support technicians, or changed if advised to by a technician. The reason for this is that the wrong settings can adversely affect system performance or cause other issues.


Service Monitor

Service Monitor is used to monitor a number of PhonePad 5 services. When installed, it will automatically restart the services that have stopped for some reason. This service is not installed by default so you will need to install it if required.

Select Service Monitor to manage the Service Monitor service.

Install | Installs the Server service.
Start | Starts the Server service.
Stop | Stops the Server service.
Uninstall | Uninstalls the Server service.
Settings | Opens the Service Monitor settings window.
Logs | Opens the Log Viewer and displays the Service Monitor logs.

LightBulb

If you get an Access Denied error when try to install or start the service, close the Control Center. Find the ControlCenter application in the folder you installed the server in, right-click on it, and then select Run as Administrator.


Settings

 Top Previous

These settings are used by the Service Monitor service to manage some of the other PhonePad services. They can be used to automatically restart the services at a set time each day, or to restart the services when Service Monitor detects that they are no longer responding.

It shouldn't be necessary to use these settings at all unless there is some unknown process on the Server or Host PC conflicting with one or more PhonePad services.

Force Restart |
Restart Time | Set the time the services should be restarted.
MessageSender Service | When checked, the MessageSender service will be restarted at the set time.
PhonePad 5 Server Service | When checked, the PhonePad Server service will be restarted at the set time.

Monitor Services |
Caller ID Service | When checked, the Caller ID service will be automatically restarted if it stops responding.
MessageSender Service | When checked, the MessageSender service will be automatically restarted if it stops responding.
PhonePad 5 Server Service | When checked, the PhonePad Server service will be automatically restarted if it stops responding.